<html>
<head>
<title>OgreProfiler.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Defines</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreProfiler.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreString_8h_source.html">OgreString.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>&quot;</code><br/>
</div>
<p><a href="OgreProfiler_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profile.html">Ogre::Profile</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">An individual profile that will be processed by the <a class="el" href="classOgre_1_1Profiler.html" title="The profiler allows you to measure the performance of your code.">Profiler</a>.  <a href="classOgre_1_1Profile.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The profiler allows you to measure the performance of your code.  <a href="classOgre_1_1Profiler.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileInstance.html">Ogre::Profiler::ProfileInstance</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an individual profile call.  <a href="structOgre_1_1Profiler_1_1ProfileInstance.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html">Ogre::Profiler::ProfileFrame</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the total timing information of a profile since profiles can be called more than once each frame.  <a href="structOgre_1_1Profiler_1_1ProfileFrame.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html">Ogre::Profiler::ProfileHistory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents a history of each profile during the duration of the app.  <a href="structOgre_1_1Profiler_1_1ProfileHistory.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreProfiler_8h.html#a1654899e6cfdec9f0972a45f3fa3fee7">OgreProfile</a>(a)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreProfiler_8h.html#af9d7ab83c5a5d7de7579eebe9d27e53d">OgreProfileBegin</a>(a)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreProfiler_8h.html#a292ec22b5d851ef26fa9d7685c18b1f5">OgreProfileEnd</a>(a)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreProfiler_8h.html#af0b42a7cef7035e033b55dbd3196d07d">OgreProfileGroup</a>(a, g)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreProfiler_8h.html#a76abda9b4a68907da2df018cd5253651">OgreProfileBeginGroup</a>(a, g)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreProfiler_8h.html#adc97ff9c6f56d0452bc0b1910bbab76a">OgreProfileEndGroup</a>(a, g)</td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga22a20f11c008a0d9b677fc2635922cfe">Ogre::ProfileGroupMask</a> { <br/>
&#160;&#160;<a class="el" href="group__General.html#gga22a20f11c008a0d9b677fc2635922cfea721f30014dd7fbcd0bfb075ab74ab7d3">Ogre::OGREPROF_USER_DEFAULT</a> =  0x00000001, 
<a class="el" href="group__General.html#gga22a20f11c008a0d9b677fc2635922cfeade870d108856d0d9fbd27694bcb2242a">Ogre::OGREPROF_ALL</a> =  0xFF000000, 
<a class="el" href="group__General.html#gga22a20f11c008a0d9b677fc2635922cfeaa62424531516cb168cd1865184eeb7a9">Ogre::OGREPROF_GENERAL</a> =  0x80000000, 
<a class="el" href="group__General.html#gga22a20f11c008a0d9b677fc2635922cfea025771347fabdae9bb5db80f997ced2c">Ogre::OGREPROF_CULLING</a> =  0x40000000, 
<br/>
&#160;&#160;<a class="el" href="group__General.html#gga22a20f11c008a0d9b677fc2635922cfea1477e35ccd97730b18c1196a2f7fea64">Ogre::OGREPROF_RENDERING</a> =  0x20000000
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">List of reserved profiling masks.  <a href="group__General.html#ga22a20f11c008a0d9b677fc2635922cfe">More...</a><br/></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a1654899e6cfdec9f0972a45f3fa3fee7"></a><!-- doxytag: member="OgreProfiler.h::OgreProfile" ref="a1654899e6cfdec9f0972a45f3fa3fee7" args="(a)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreProfiler_8h.html#a1654899e6cfdec9f0972a45f3fa3fee7">OgreProfile</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">a</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00057">57</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="af9d7ab83c5a5d7de7579eebe9d27e53d"></a><!-- doxytag: member="OgreProfiler.h::OgreProfileBegin" ref="af9d7ab83c5a5d7de7579eebe9d27e53d" args="(a)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreProfiler_8h.html#af9d7ab83c5a5d7de7579eebe9d27e53d">OgreProfileBegin</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">a</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00058">58</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="a76abda9b4a68907da2df018cd5253651"></a><!-- doxytag: member="OgreProfiler.h::OgreProfileBeginGroup" ref="a76abda9b4a68907da2df018cd5253651" args="(a, g)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreProfiler_8h.html#a76abda9b4a68907da2df018cd5253651">OgreProfileBeginGroup</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">a, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">g&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00061">61</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="a292ec22b5d851ef26fa9d7685c18b1f5"></a><!-- doxytag: member="OgreProfiler.h::OgreProfileEnd" ref="a292ec22b5d851ef26fa9d7685c18b1f5" args="(a)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreProfiler_8h.html#a292ec22b5d851ef26fa9d7685c18b1f5">OgreProfileEnd</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">a</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00059">59</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="adc97ff9c6f56d0452bc0b1910bbab76a"></a><!-- doxytag: member="OgreProfiler.h::OgreProfileEndGroup" ref="adc97ff9c6f56d0452bc0b1910bbab76a" args="(a, g)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreProfiler_8h.html#adc97ff9c6f56d0452bc0b1910bbab76a">OgreProfileEndGroup</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">a, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">g&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00062">62</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="af0b42a7cef7035e033b55dbd3196d07d"></a><!-- doxytag: member="OgreProfiler.h::OgreProfileGroup" ref="af0b42a7cef7035e033b55dbd3196d07d" args="(a, g)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreProfiler_8h.html#af0b42a7cef7035e033b55dbd3196d07d">OgreProfileGroup</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">a, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">g&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00060">60</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
